Update an enrichment schema
Updates the name and/or description of an enrichment schema. At least one of name or description must be provided. Schema fields cannot be changed after creation.
Early Access
This API is in Early Access and may change at any time. Contact your PagerDuty account team to request access.
Scoped OAuth requires: contextual_data.write
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the enrichment schema.
uuidHeader Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2"Request Body
application/json
The schema fields to update. At least one of name or description must be provided.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
Developer Agreement
Your access to and use of the PagerDuty Developer Services is governed by the PagerDuty Developer Agreement.